Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 372475 - Rename app-emulation/virtualbox-additions to app-emulation/virtualbox-[guest-]additions[-bin]
Summary: Rename app-emulation/virtualbox-additions to app-emulation/virtualbox-[guest-...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-21 13:20 UTC by Sebastian Pipping
Modified: 2013-06-18 12:19 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Pipping gentoo-dev 2011-06-21 13:20:31 UTC
With the current naming and description the package names

  app-emulation/virtualbox-additions
  app-emulation/virtualbox-guest-additions

do not reflect the difference clearly.
A rename

  of app-emulation/virtualbox-additions
  to app-emulation/virtualbox-guest-additions-bin

would be well aligned with the current distinction at

  app-emulation/virtualbox
  app-emulation/virtualbox-bin

Thanks!
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2012-04-07 23:17:32 UTC
app-emulation/virtualbox-additions and app-emulation/virtualbox-guest-additions are completely different packages for completely different purposes.
Comment 2 Sebastian Pipping gentoo-dev 2012-04-08 19:23:25 UTC
(In reply to comment #1)
> app-emulation/virtualbox-additions and
> app-emulation/virtualbox-guest-additions are completely different packages
> for completely different purposes.

To a non-expert the two names and descriptions can be quite confusion.  I still fail to figure it out from just that data.  Especially the description

  CD image containing guest additions for VirtualBox
                      ^^^^^
of app-emulation/virtualbox-additions makes the two packages rather confusing.  There must be something we can do, right?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-18 12:19:18 UTC
+  18 Jun 2013; Lars Wendler <polynomial-c@gentoo.org>
+  virtualbox-guest-additions-4.1.24.ebuild,
+  virtualbox-guest-additions-4.1.26.ebuild,
+  virtualbox-guest-additions-4.2.10.ebuild,
+  virtualbox-guest-additions-4.2.12.ebuild:
+  Changed DESCRIPTION to make clear what purpose this package has (bug
+  #372475).
+

Should be fixed now.